Package com.rosivanyshyn.db.dao.implMySQL

# Class ResponseToOrderDAOImpl

java.lang.Object
com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl<ResponseToOrder>
com.rosivanyshyn.db.dao.implMySQL.ResponseToOrderDAOImpl

All Implemented Interfaces:
  `GenericDAO<ResponseToOrder>`, `ResponseToOrderDAO`

public class ResponseToOrderDAOImpl extends GenericDAOImpl<ResponseToOrder> implements ResponseToOrderDAO
Response To Order DAO interface implementation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl

  `GenericDAOImpl.DBStatementOperations<T>, GenericDAOImpl.ExtractEntity<T>, GenericDAOImpl.SetGeneratedValuesToEntity<T>`

- ## Field Summary

  ### Fields inherited from class com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl

  `className, LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseToOrderDAOImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `deleteResponseApartments(Connection con, Long id)`
  Delete apartments references attached to RTO
  `ArrayList<Apartment>`
  `getResponseApartments(Connection con, Long id)`
  Get apartments references attached to RTO
  `boolean`
  `setApartmentToResponse(Connection con, ResponseToOrder rto, Apartment apartment)`
  Set apartments references to RTO

  ### Methods inherited from class com.rosivanyshyn.db.dao.implMySQL.GenericDAOImpl

  `countRowsInLastQuery, delete, get, getAll, getByField, getFew, getWithDynamicQuery, insert, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.rosivanyshyn.db.dao.GenericDAO

  `countRowsInLastQuery, delete, get, getAll, getByField, getFew, getWithDynamicQuery, insert, update`

- ## Constructor Details

  - ### ResponseToOrderDAOImpl

    public ResponseToOrderDAOImpl()

- ## Method Details

  - ### setApartmentToResponse

    public boolean setApartmentToResponse(Connection con, ResponseToOrder rto, Apartment apartment)
    Set apartments references to RTO
    Specified by:
      `setApartmentToResponse` in interface `ResponseToOrderDAO`
    Parameters:
      `con` - Connection
      `rto` - RTO
      `apartment` - Apartment
    Returns:
      query result

  - ### getResponseApartments

    public ArrayList<Apartment> getResponseApartments(Connection con, Long id)
    Get apartments references attached to RTO
    Specified by:
      `getResponseApartments` in interface `ResponseToOrderDAO`
    Parameters:
      `con` - Connection
      `id` - Response to order id
    Returns:
      Apartments array

  - ### deleteResponseApartments

    public boolean deleteResponseApartments(Connection con, Long id)
    Delete apartments references attached to RTO
    Specified by:
      `deleteResponseApartments` in interface `ResponseToOrderDAO`
    Parameters:
      `con` - Connection
      `id` - Response to order id
    Returns:
      query result